<?php

return [
    [
        'id' => 'BEACON_LIGHTS_ON',
        'name' => "Beacon lights on",
        'description' => "Beacon lights on before pushback",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'STROBES_ON_IN_FLIGHT',
        'name' => "Strobes On",
        'description' => "Strobes on in-flight",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'STROBES_ON_TAXI',
        'name' => "Strobes On (Taxiing)",
        'description' => "Strobes on while taxiing",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'LAND_LIGHTS_OVER_10K',
        'name' => "Landing lights off over 10k",
        'description' => "Altitude that landing lights need to be off above (will have a 500' margin)",
        'parameter' => 10000,
        'points' => 2,
        'has_parameter' => True,
        'enabled' => True,
    ],
    [
        'id' => 'LAND_LIGHTS_UNDER_10K',
        'name' => "Landing lights on under 10k",
        'description' => "Altitude that landing lights need to be on below (will have a 500' margin)",
        'parameter' => 10000,
        'points' => 2,
        'has_parameter' => True,
        'enabled' => True,
    ],
    [
        'id' => 'LAND_LIGHTS_ON_GROUND',
        'name' => "Landing lights on ground",
        'description' => "Landing lights should not be on while taxiing",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'LAND_LIGHTS_OFF_TAXI',
        'name' => "Landing lights off while taxiing",
        'description' => "None",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'EXCESS_TAXI_SPEED',
        'name' => "Excess Taxi Speed",
        'description' => "If an aircraft exceeds this speed while taxiing (knots)",
        'parameter' => 30,
        'points' => 5,
        'has_parameter' => True,
        'enabled' => True,
    ],
    [
        'id' => 'EXCESS_GFORCE',
        'name' => "Excess G-Forces",
        'description' => "If an aircraft exceeds the max gforce turning flight",
        'parameter' => 1,
        'points' => 5,
        'has_parameter' => True,
        'enabled' => True,
    ],
    [
        'id' => 'FUEL_REFILLED',
        'name' => "Fuel Refilled",
        'description' => "None",
        'parameter' => 0,
        'points' => 10,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'OVERSPEED_WARNING',
        'name' => "Overspeed",
        'description' => "If the overspeed warning comes up",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'EXCESS_BANK',
        'name' => "Excesss Bank (degrees)",
        'description' => "None",
        'parameter' => 60,
        'points' => 2,
        'has_parameter' => True,
        'enabled' => True,
    ],
    [
        'id' => 'EXCESS_PITCH',
        'name' => "Excesss Pitch (degrees)",
        'description' => "None",
        'parameter' => 30,
        'points' => 2,
        'has_parameter' => True,
        'enabled' => True,
    ],
    [
        'id' => 'RUNWAY_OVERRUN',
        'name' => "Runway Overrun",
        'description' => "If the aircraft overruns the runway or taxirun",
        'parameter' => 0,
        'points' => 10,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'SIMRATE_INCREASED',
        'name' => "Simulation Rate Increased",
        'description' => "None",
        'parameter' => 1,
        'points' => 2,
        'has_parameter' => True,
        'enabled' => True,
    ],
    [
        'id' => 'SLEW_ACTIVATED',
        'name' => "Slew Activated",
        'description' => "None",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'SPEED_UNDER_10K',
        'name' => "Overspeed under 10k",
        'description' => "Speed of 250kts under 10,000' is exceeded",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'STABILIZED_APPROACH',
        'name' => "Stabilized Approach",
        'description' => "AGL where gear and flaps must be configured",
        'parameter' => 1500,
        'points' => 5,
        'has_parameter' => True,
        'enabled' => True,
    ],
    [
        'id' => 'STALL_WARNING',
        'name' => "Stall Warning",
        'description' => "None",
        'parameter' => 0,
        'points' => 5,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'THRUST_REVERSERS_INFLIGHT',
        'name' => "Thrust reversers enabled in flight",
        'description' => "None",
        'parameter' => 0,
        'points' => 2,
        'has_parameter' => False,
        'enabled' => True,
    ],
    [
        'id' => 'THRUST_REVERSERS_SPEED',
        'name' => "Thrust reverser speed",
        'description' => "Speed by which thrust reversers must be deactivated (knots)",
        'parameter' => 60,
        'points' => 2,
        'has_parameter' => True,
        'enabled' => True,
    ],
];